<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Document</title>

		<script>
			/**
			 * Hello World Javascript that displays an alert window, displays
			 * HTML in a div tag, and logs a message to the debug console
			 */
			function sayHello()

			{
				alert('Hello world!');
				document.getElementById('hello-text').innerHTML = 'Hello world!';
				console.log('Hello world!');
			}
		</script>
	
	</head>

	<body onload="sayHello()">

		<!-- Display text before we start running JavaScript -->
		<p>Before running JavaScript</p>

		<!-- A Div tag so we display some text using JavaScript -->
		<div id="hello-text">This is the default text</div>

		<!-- Display text after we are done running JavaScript -->
		<p>After running JavaScript</p>

	</body>
</html>